<?php


namespace App\Http\Controllers\Agenda;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

use App\Libraries\ejLib;
Use SimpleXMLElement;
Use Session;
class FuncionesController extends Controller{

	// 14 Dic 2022 . Janeth C.
	public function agenda_getLstApartadosNota(){
		$Notif=	array('error' => '0', 'titulo' => '', 'detalle' => '');

	    $var = ejLib::getInstance();
	    $idTipoNota='';
	    $Clave_Pac = ''; 
	    if(isset($_POST['Clave_Pac']))$Clave_Pac=$_POST['Clave_Pac'];

		if(isset($_POST['idTipoNota']))$idTipoNota=$_POST['idTipoNota'];
		
		$folio='';
		if(isset($_POST['folio']))$folio=$_POST['folio'];

		$centro_sal='';
		
		if(isset($_POST['centro_sal']))$centro_sal=$_POST['centro_sal'];
		

		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();
		$objeto = $soapclient->Agenda_getApartados_TipoNota($idTipoNota, $wsClave);
		
		 $xml  = new SimpleXMLElement(utf8_encode($objeto));
		
		 if( $xml->respuesta->error == '1' ){
          $Notif=	array('error' => '1', 'titulo' => ' No hay registros que mostrar', 'detalle' => 'El tipo de nota proporcionado no cuenta con apartados asignados');
	   	 
	  	 echo $Notif["detalle"];	 
	   	
	    } else {

	    	$addTipoNota = $soapclient->Agenda_UpSert_TipoNota($centro_sal, $folio, $idTipoNota , $wsClave);
	    	$xmlTipoNota  = new SimpleXMLElement(utf8_encode($addTipoNota));

	    	 
	        ?>
	              <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
	              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->titulo);  ?>">
	              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcion);  ?>">
	        <?php        
	   	  }

		foreach ($xml->respuesta as $item) {
			$item->icono = str_replace("*.'", '<', "".$item->icono);
			$item->icono = str_replace("'.*", '>', "".$item->icono);	
			$array[] = $item;
		}
		$xml = $array;
		// print_r($xml);
		if(isset($xml)){
			echo '<ul class="nav nav-pills nav-stacked">';
	        foreach($xml as $reg){  
	        	$url= str($reg->ubicacion);
	        	$id_apartado= str($reg->id_apartado);
                if($id_apartado=='15'){
                    $urgencias = '1';
                } else {$urgencias = '0';}
	       		echo "<li class='li_left'><a  href='#' onclick =' ".' $("#cnt_apartados").removeClass("hidden");  var estadoSalud = ""; estadoSalud = $("#vCat_EstadoSalud").val(); if (estadoSalud === "") { $.notify("Favor de especificar el Estado de Salud");  $("#vCat_EstadoSalud").focus(); return false; }  jqGetAjaxShort("'.utf8_decode($url).'","divApartados", {"urgencias":'.'"'.utf8_decode($urgencias).'"'.', "folio":'.'"'.utf8_decode($folio).'"'.', "centro_sal": '.'"'.utf8_decode($centro_sal).'"'.', "id_apartado": '.'"'.utf8_decode($reg->id_apartado).'" '.',"Clave_Pac": '.'"'.utf8_decode($Clave_Pac).'",  "tipo_nota": '.'"'.utf8_decode($idTipoNota).'",  "estado_salud": '.'estadoSalud}); '."'>".$reg->icono." ".utf8_decode($reg->descripcion_apartado)." </a></li>"; 
	       		
			}
			 echo "</ul>";
		
			}

		?>
	    <input type="hidden" id="hError" name="hError" value="<?php echo $Notif["error"];  ?>">
	    <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo $Notif["titulo"];  ?>">
	    <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo $Notif["detalle"];  ?>">
	    <div class="txtSepVertical txtAltura10px"></div>
	    <?php
	}

	// 11 Ene 2023 . Juan Pablo Sanchez B
	public function chkStatusRegistro_Filiacion(){

	    $var = ejLib::getInstance();		
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();
        $tipo ='';
		if(isset($_POST['clave_pac']))$clave_pac=$_POST['clave_pac'];
        if(isset($_POST['tipo']))$tipo=$_POST['tipo'];
		$objeto = $soapclient->Agenda_chkStatusRegistro_Filiacion($clave_pac, $tipo, $wsClave);
		
		$xml  = new SimpleXMLElement(utf8_encode($objeto));

		if( $xml->respuesta->error == '0' ){ ?>
	    <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
	    <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->tituloerror);  ?>">
	    <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcionerror);  ?>">	    
	    <?php } else{ 
	    	$i=0;
	    	foreach ($xml->respuesta as $item) {	    		
	    		$xml->respuesta[($i)]->tituloerror = ''.utf8_decode($xml->respuesta[($i)]->descripcionerror);
	    		$xml->respuesta[($i)]->descripcionerror = ''.utf8_decode($xml->respuesta[($i)]->descripcionerror);
	    		++$i;
	    	} 

	    	?>


	    <input type="hidden" id="hError" name="hError" value="1">
         <input type="hidden" id="hTipo" name="hTipo" value="<?php echo $tipo;  ?>">
         <input type="hidden" id="hcve_p" name="hcve_p" value="<?php echo $clave_pac;  ?>">
	    <input type='hidden' id='hErrorInfo' name='hErrorInfo' value='<?php echo json_encode($xml);  ?>'> 
	    <?php }

	}

       public function getFrecuenciaCardxEdad(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['fecha_nacimiento']) || !isset($_POST['frecuencia_card']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $fecha_nacimiento=$_POST['fecha_nacimiento'];
        $frecuencia_card=$_POST['frecuencia_card'];
    


        $objeto = $soapclient->Agenda_get_EstadoFrecCardxEdad($fecha_nacimiento, $frecuencia_card, $wsClave);
        
        $xml  = new SimpleXMLElement(utf8_encode($objeto));
       $Estado = utf8_decode($xml->respuesta->estado);

         /* $xml  = new SimpleXMLElement(utf8_encode($objeto));*/
              
        switch ($Estado) {
            case 0: //
                echo "";
                break;
            case 1: // Estado=1  Desplegar Icono de Alerta ROJA y mensaje "MÍNIMO"
                echo '<i class="fa fa-exclamation-triangle" name= "alerCard" id="alerCard" aria-hidden="true" style="
    				color: red;"></i> <label id="lblAlertCar">Mínimo</label>';
                break;
            case 2: // Estado=2  Desplegar mensaje "NORMAL"
               echo '<i class="fa fa-exclamation-triangle hidden" name= "alerCard" id="alerCard" aria-hidden="true"></i> <label id="lblAlertCar">Normal</label>';
                break;

             case 3: //  Estado=3  Desplegar Icono de Alerta ROJA y mensaje "MÁXIMO"
               echo '<i class="fa fa-exclamation-triangle" name= "alerCard" id="alerCard" aria-hidden="true"  style="
    				color: red;"></i> <label id="lblAlertCar">Máximo</label>';
                break;    
               
        }

       
              
        return;
    }

   
    public function getPesoxEdad(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['fecha_nacimiento']) || !isset($_POST['peso']) || !isset($_POST['meses']) || !isset($_POST['sexo']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $fecha_nacimiento=$_POST['fecha_nacimiento'];
        $peso=$_POST['peso'];
    	$meses=$_POST['meses'];
    	$sexo=$_POST['sexo'];


        $objeto = $soapclient->Agenda_get_EstadoPesoxEdad($fecha_nacimiento, $peso, $meses, $sexo, $wsClave);
    
        $xml  = new SimpleXMLElement(utf8_encode($objeto));
       $Estado = utf8_decode($xml->respuesta->estado);

         /* $xml  = new SimpleXMLElement(utf8_encode($objeto));*/
              
        switch ($Estado) {
            case 0: //
                echo "";
                break;
            case 1:
                echo '<i class="fa fa-exclamation-triangle" name= "alertaPeso" id="alertaPeso" aria-hidden="true" style="
    				color: red;"></i> <label id="lblAlertPeso">DESNUTRICIÓN GRAVE</label>';
                break;
            case 2: //  Icono de Alerta Amarilla  mensaje ""
               echo '<i class="fa fa-exclamation-triangle" name= "alertaPeso" id="alertaPeso" aria-hidden="true" style="
    				color: orange;"></i> <label id="lblAlertPeso">DESNUTRICIÓN MODERADA</label>';
                break;

            case 3: 
               echo '<i class="fa fa-exclamation-triangle" name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="
    				color: orange;"></i> <label id="lblAlertPeso">DESNUTRICIÓN LEVE</label>';
                break; 

            case 4: 
               echo '<i class="fa fa-exclamation-triangle hidden" name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="color: orange;"></i> <label id="lblAlertPeso">PESO IDEAL</label>';
                break;  
            case 5:  
               echo '<i class="fa fa-exclamation-triangle " name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="color: orange;"></i> <label id="lblAlertPeso">SOBREPESO</label>';
                break; 
            case 6:  //Icono de Alerta ROJAmensaje "OBESIDAD"
               echo '<i class="fa fa-exclamation-triangle " name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="color: red;"></i> <label id="lblAlertPeso">OBESIDAD</label>';
                break; 
            case 7:  //Icono de Alerta ROJAmensaje "OBESIDAD"
               echo '<i class="fa fa-exclamation-triangle " name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="color: red;"></i> <label id="lblAlertPeso">POR ARRIBA DEL RANGO</label>';
                break;      
           
             
               
        }

       
              
        return;
    }

    public function getPesoxTalla(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
        //sexo Fecha_Nac talla peso
        if(!isset($_POST['fecha_nacimiento']) || !isset($_POST['peso']) || !isset($_POST['talla']) || !isset($_POST['sexo']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $fecha_nacimiento=$_POST['fecha_nacimiento'];
        $peso=$_POST['peso'];
    	$talla=$_POST['talla'];
    	$sexo=$_POST['sexo'];
    	$tallaR= ROUND($talla*100,1);

    
        if(($tallaR-(int)$tallaR) >= 0.3 && ($tallaR-(int)$tallaR) <=0.7 ){
         $tallaR=(int)$tallaR+.5;

        } else if (($tallaR-(int)$tallaR) < 0.3 ){
            $tallaR=(INT)$tallaR;
        } else if(($tallaR-(int)$tallaR) > 0.7){

            $tallaR=(INT)$tallar + 1;
          } else {
          	$tallaR=(INT)$tallaR;
          }

        

        $objeto = $soapclient->Agenda_get_EstadoPesoxTalla($sexo, $fecha_nacimiento, $tallaR, $peso, $wsClave);
    
        $xml  = new SimpleXMLElement(utf8_encode($objeto));	

       $Estado = utf8_decode($xml->respuesta->estado);
    
         /* $xml  = new SimpleXMLElement(utf8_encode($objeto));*/
              
        switch ($Estado) {
            case 0: // Si estado=0  Ícono de Alerta ROJAmensaje "Valor fuera de rango"
                 echo '<i class="fa fa-exclamation-triangle" name= "alertaPeso" id="alertaPeso" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPeso">Valor fuera de rango</label>';
                break;
            case 1: // Si estado=1  Ícono de Alerta ROJAmensaje "DESNUTRICIÓN GRAVE"
                echo '<i class="fa fa-exclamation-triangle" name= "alertaPeso" id="alertaPeso" aria-hidden="true" style="
    				color: red;"></i> <label id="lblAlertPeso">DESNUTRICIÓN GRAVE</label>';
                break;
            case 2: //  Icono de Alerta Amarilla  mensaje ""
               echo '<i class="fa fa-exclamation-triangle" name= "alertaPeso" id="alertaPeso" aria-hidden="true" style="
    				color: orange;"></i> <label id="lblAlertPeso">DESNUTRICIÓN MODERADA</label>';
                break;

            case 3: 
               echo '<i class="fa fa-exclamation-triangle" name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="
    				color: orange;"></i> <label id="lblAlertPeso">DESNUTRICIÓN LEVE</label>';
                break; 

            case 4: 
               echo '<i class="fa fa-exclamation-triangle hidden" name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="color: orange;"></i> <label id="lblAlertPeso">PESO IDEAL</label>';
                break;  
            case 5:  
               echo '<i class="fa fa-exclamation-triangle " name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="color: orange;"></i> <label id="lblAlertPeso">SOBREPESO</label>';
                break; 
            case 6:  //Icono de Alerta ROJAmensaje "OBESIDAD"
               echo '<i class="fa fa-exclamation-triangle " name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="color: red;"></i> <label id="lblAlertPeso">OBESIDAD</label>';
                break; 
            case 7:  //Icono de Alerta ROJAmensaje "OBESIDAD"
               echo '<i class="fa fa-exclamation-triangle " name= "alertaPeso" id="alertaPeso" aria-hidden="true"  style="color: red;"></i> <label id="lblAlertPeso">POR ARRIBA DEL RANGO</label>';
                break;      
           
             
               
        }

       
              
        return;
    }

    public function getIMCxEdad(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
        //   
        if(!isset($_POST['fecha_nacimiento']) || !isset($_POST['peso']) || !isset($_POST['talla']) || !isset($_POST['sexo']) || !isset($_POST['meses']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $fecha_nacimiento=$_POST['fecha_nacimiento'];
        $peso=$_POST['peso'];
    		$talla=$_POST['talla'];
    		$sexo=$_POST['sexo'];
    		$meses=$_POST['meses'];
    

            $objeto = $soapclient->Agenda_get_EstadoIMCxEdad($sexo, $fecha_nacimiento, $talla, $peso,$meses, $wsClave);
          $xml  = new SimpleXMLElement(utf8_encode($objeto));	
            $Estado = utf8_decode($xml->respuesta->estado);
    
      
          
        switch ($Estado) {
            case -3: 
                 echo '<i class="fa fa-exclamation-triangle"  name= "alerIMC" id="alerIMC" aria-hidden="true" style="
    				color: orange;"></i> <label id="lblAlertIMC">BAJO PESO SEVERO</label>';
                break;
            case -2: // Si estado=1  Ícono de Alerta ROJAmensaje "DESNUTRICIÓN GRAVE"
                 echo '<i class="fa fa-exclamation-triangle"  name= "alerIMC" id="alerIMC" aria-hidden="true" style="
    				color: orange;"></i> <label id="lblAlertIMC">BAJO PESO</label>';
                break;
            case -1: //  Icono de Alerta Amarilla  mensaje ""
                echo '<i class="fa fa-exclamation-triangle"  name= "alerIMC" id="alerIMC" aria-hidden="true" style="
    				color: orange;"></i> <label id="lblAlertIMC">NORMAL RIESGO DE BAJO PESO</label>';
                break;

            case 0: 
                echo '<i class="fa fa-exclamation-triangle hidden"  name= "alerIMC" id="alerIMC" aria-hidden="true" style="
    				color: orange;"></i> <label id="lblAlertIMC"> NORMAL</label>';
                break; 

            case 1: 
               echo '<i class="fa fa-exclamation-triangle"  name= "alerIMC" id="alerIMC" aria-hidden="true" style="
    				color: orange;"></i> <label id="lblAlertIMC">NORMAL</label>';
                break;  

            case 2:  
               echo '<i class="fa fa-exclamation-triangle"  name= "alerIMC" id="alerIMC" aria-hidden="true" style="
    				color: red;"></i> <label id="lblAlertIMC">SOBRE PESO</label>';
                break;    

            case 3:  
               echo '<i class="fa fa-exclamation-triangle"  name= "alerIMC" id="alerIMC" aria-hidden="true" style="
    				color: red;"></i> <label id="lblAlertIMC">OBESIDAD</label>';
                break; 
        }
        return;
    }


    public function getPerimetroCef(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
        //   sexo: sexo, fecha_nacimiento: fecha_nac, perimetroCef: perimetroCef
        if(!isset($_POST['fecha_nacimiento']) || !isset($_POST['perimetroCef']) || !isset($_POST['sexo'])) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $fecha_nacimiento=$_POST['fecha_nacimiento'];
    		$perimetroCef=$_POST['perimetroCef'];
    		$sexo=$_POST['sexo'];
    
    

            $objeto = $soapclient->Agenda_get_EstadoPerimetroCefalico($sexo, $fecha_nacimiento, $perimetroCef, $wsClave);
          $xml  = new SimpleXMLElement(utf8_encode($objeto));	
            $Estado = utf8_decode($xml->respuesta->estado);
      
          
        switch ($Estado) {
            case 1: 
                 echo '<i class="fa fa-exclamation-triangle"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPerCefal"> MICROCEFALICO</label>';
                break;
            case 3: //
                 echo '<i class="fa fa-exclamation-triangle hidden"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPerCefal"> NORMAL, PERCENTIL 3</label>';
                break;
            case 10: //  
               echo '<i class="fa fa-exclamation-triangle hidden"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPerCefal"> NORMAL, PERCENTIL 10</label>';
                break;

            case 25: 
                echo '<i class="fa fa-exclamation-triangle hidden"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPerCefal"> NORMAL, PERCENTIL 25</label>';
                break; 

            case 50: 
               echo '<i class="fa fa-exclamation-triangle hidden"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPerCefal"> NORMAL, PERCENTIL 50</label>';
                break;  

            case 75:  
               echo '<i class="fa fa-exclamation-triangle hidden"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPerCefal"> NORMAL, PERCENTIL 75</label>';
                break;    

            case 90:  
              echo '<i class="fa fa-exclamation-triangle hidden"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPerCefal"> NORMAL, PERCENTIL 90</label>';
                break; 

            case 97:  
              echo '<i class="fa fa-exclamation-triangle hidden"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPerCefal"> NORMAL, PERCENTIL 97</label>';
                break;  

            case 99:  
               echo '<i class="fa fa-exclamation-triangle"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true" style="color: red;"></i> <label id="lblAlertPerCefal"> ANORMAL, PERCENTIL 99</label>';
                break;         
        }
        return;
    }

	// 23 Ene 2023 . Juan Pablo Sanchez B
	public function getLstBuscarEstudioG(){

        $Estudios='';
        if(isset($_POST['Estudios']))$Estudios=$_POST['Estudios'];
        $MComun='0';
        if(isset($_POST['MComun']))$MComun=$_POST['MComun'];

        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        $data = $soapclient->Agenda_getLstEstudiosG($Estudios, $MComun, $wsClave);
        $result = simplexml_load_string($data);
        //  $result = new SimpleXMLElement(utf8_encode($data));

        if(! isset($result->respuesta) ){
            return response()->json(array(
                'error' => 1,
                'mensaje' => 'No fue recuperado ningún procedimiento que concuerde con la descripción proporcionada'
            ));
        }else{
          if( $result->respuesta->error == '1' ){
              return response()->json(array(
                  'error' => 1,
                  'mensaje' => $result->respuesta->descripcionerror.''
              ));
          }
        }


        return view('Agenda.Apartados.getLstBuscarEstudioG')->with('result', $result);
    }

    // 23 Ene 2023 . Juan Pablo Sanchez B
	public function getLstEstudiosGNota(){

        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];

        $objEstudiosGNota = $soapclient->Agenda_getLstEstudiosGNota($folio, $centro_sal, $wsClave);
  		$EstudiosG  = new SimpleXMLElement(utf8_encode($objEstudiosGNota));     

        ?>
                      <table style="font-size: 12px; width: 95%; margin:auto;" class="table table-hover table-bordered">
                        <tr>                          
                          <th style="text-align: center; width: 100px;">Clave</th>
                          <th style="text-align: center;">Descripción</th>
                          <th style="text-align: center;">Detalles</th>
                          <th style="text-align: center; width: 100px;">Opciones</th>                          
                        </tr>
                   <!-- registros -->
                    <?php
                  foreach($EstudiosG->respuesta as $reg){
                    if( !isset($reg->error) ){
                      ?>
                        <tr>
                          <td><?php echo $reg->cvecie9 ; ?></td>
                          <td><?php echo utf8_decode($reg->nom_procedimiento); ?></td>
                          <td><textarea cols="120" rows="2" maxlength="253" class="form-control" placeholder="Detalles" class="textinput" onchange="
                          var detalles = this.value;
						  jqGetAjaxShort('Agenda/addEstudioG', 'frm_estudiosGNota #tblEstudiosG', {centro_sal: '<?php echo $reg->centro_sal; ?>', folio: '<?php echo $reg->folio; ?>', 'id_cie9mc': '<?php echo $reg->cvecie9; ?>', detalles: detalles}, false);
                          " ><?php echo utf8_decode($reg->detalles); ?></textarea></td>
                          <td style="text-align: center;"><span class="fa fa-times tirar" onclick="
                          jqGetAjaxShort('Agenda/delEstudioGNota','tblEstudiosG', {'folio': '<?php echo $reg->folio; ?>', 'centro_sal': '<?php echo $reg->centro_sal; ?>', 'id_cie9mc':  '<?php echo $reg->cvecie9; ?>' });
                          "></span></td>
                        </tr>
                    <?php
                    }else{
                      ?>
                        <tr>
                          <td></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
                      </table>
        <?php        
        return;
    }

      public function checkDiagnosticoValido(){

        $var = ejLib::getInstance();        
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(isset($_POST['clave_pac']))$clave_pac=$_POST['clave_pac'];
        if(isset($_POST['clave_diagnostico']))$clave_diagnostico=$_POST['clave_diagnostico'];
        $objeto = $soapclient->Agenda_chkDiagnosticoValidoNota($clave_pac, $clave_diagnostico, $wsClave);
        
        $xml  = new SimpleXMLElement(utf8_encode($objeto));

        if( $xml->respuesta->aceptado == '0' ){  
            $Notif= array('error' => '1', 'titulo' => ' El diagnóstico seleccionado no es válido', 'detalle' => 'El diagnóstico no se encuentra autorizado');
         
           /* echo $Notif["detalle"];       */ ?>

        <input type="hidden" id="hError" name="hError" value="1">
        <input type='hidden' id='hErrorInfo' name='hErrorInfo' value='<?php echo $Notif["detalle"];  ?>'> 
        <?php } 
        else{ 
            
             ?>
             <input type="hidden" id="hError" name="hError" value="0">
             <input type='hidden' id='hErrorInfo' name='hErrorInfo' value='Diagnostico autorizado'> 

             <?php } 
            
        
      

    }

    public function getLstDiagnosticosNota(){

        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $tipo_diagnostico=$_POST['tipo_diagnostico'];
       
        $rs = $soapclient->Agenda_getLstDiagnosticosNota($centro_sal,$folio, $wsClave); // descomentar al final 
        $Diagnosticos  = new SimpleXMLElement(utf8_encode($rs));   
         

        ?>
                       <table style="font-size: 12px; width: 95%; margin:auto;" class="table table-hover table-bordered" id="tblDiagnosticosNota" name="tblDiagnosticosNota">
                        <tr>                          
                          <th style="text-align: center; width: 100px;">Clave</th>
                          <th style="text-align: center;">Descripci&#243;n</th>   
                          <th style="text-align: center;">Interpretaci&#243;n</th>
                          <th style="text-align: center; width: 20px;">Primera Vez</th> 
                          <th style="text-align: center; width: 20px;">Confirmado</th>   
                           <th style="text-align: center; width: 20px;">Principal</th>                                   
                          <th style="text-align: center; width: 100px;">Opciones</th>                          
                        </tr>
                   <!-- registros -->
                    <?php
                  foreach($Diagnosticos->respuesta as $reg){
                    if( !isset($reg->error) ){
                      ?>
                        <tr>
                            <td><?php echo $reg->cvecie10_dia ; ?></td>
                            <td><?php echo utf8_decode(ltrim(rtrim($reg->diagnostico))); ?></td>
                            <td><textarea class="form-control" id="txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia)) ; ?>" rows="4" style="font-size: 12px;" onchange=" var folio= <?php echo utf8_decode(ltrim(rtrim($folio)));?>; var observaciones = this.value; var tipo_diagnostico = 1;   var checkPrimeraVez = document.getElementById('checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrimeraVez.checked == true){pVez = 1; } else { pVez = 0;} var checkConfirmado = document.getElementById('checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkConfirmado.checked == true){confirmado = 1; } else { confirmado = 0;} var checkPrincipal = document.getElementById('checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrincipal.checked == true){principal = 1; } else { principal = 0;} let ascii = observaciones.toUpperCase().charCodeAt(0); if( ascii> 64 && ascii < 91){} else { $.notify('Error en captura de Interpretacíon, contiene caracteres NO validos');        $(this).focus();return false;} var valTxtObservaciones = observaciones.replace(/[^\w\s]|_/g, '').replace(/\s+/g, ' '); if(valTxtObservaciones.length <4){ $.notify('Interpretación capturada es demasiado corta'); $(this).focus(); return false;}  jqGetAjaxShort('tiposnotas/apartado/diagnostico_upd', 'searchContainer', {centro_sal: <?php echo $centro_sal; ?>, folio: folio, clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>', tipo_diagnostico: tipo_diagnostico, primera_vez: pVez,confirmado: confirmado, principal: principal, observaciones:  observaciones }, false);"><?php echo utf8_decode(ltrim(rtrim($reg->observaciones)));  ?></textarea> 
                            </td>
                          <td style="text-align: center;">
                             <br>
                          
                              <input type="checkbox" name="checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)) ; ?>" id="checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)) ; ?>" value="" <?php if($reg->primeravez_dia == 1)echo 'checked="checked"'; ?>  onchange=" var folio= <?php echo utf8_decode(ltrim(rtrim($folio)));?>; var observaciones = document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').value; var tipo_diagnostico = 1;   var checkPrimeraVez = document.getElementById('checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrimeraVez.checked == true){pVez = 1; } else { pVez = 0;} var checkConfirmado = document.getElementById('checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkConfirmado.checked == true){confirmado = 1; } else { confirmado = 0;} var checkPrincipal = document.getElementById('checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrincipal.checked == true){principal = 1; } else { principal = 0;} let ascii = observaciones.toUpperCase().charCodeAt(0); if( ascii> 64 && ascii < 91){} else { $.notify('Error en captura de Interpretacíon, contiene caracteres NO validos');        $(this).focus();return false;} var valTxtObservaciones = observaciones.replace(/[^\w\s]|_/g, '').replace(/\s+/g, ' '); if(valTxtObservaciones.length <4){ $.notify('Interpretación capturada es demasiado corta'); $(this).focus(); return false;}  jqGetAjaxShort('tiposnotas/apartado/diagnostico_upd', 'searchContainer', {centro_sal: <?php echo $centro_sal; ?>, folio: folio, clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>', tipo_diagnostico: tipo_diagnostico, primera_vez: pVez,confirmado: confirmado, principal: principal, observaciones:  observaciones }, false);">
                          
                          </td>
                          <td style="text-align: center;">
                             <br>
                           
                              <input type="checkbox" name="checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)) ; ?>" id="checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)) ; ?>" value="" <?php if($reg->confirmado == 1)echo 'checked="checked"'; ?> onchange=" var folio= <?php echo utf8_decode(ltrim(rtrim($folio)));?>; var observaciones = document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').value; var tipo_diagnostico = 1;   var checkPrimeraVez = document.getElementById('checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrimeraVez.checked == true){pVez = 1; } else { pVez = 0;} var checkConfirmado = document.getElementById('checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkConfirmado.checked == true){confirmado = 1; } else { confirmado = 0;} var checkPrincipal = document.getElementById('checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrincipal.checked == true){principal = 1; } else { principal = 0;} let ascii = observaciones.toUpperCase().charCodeAt(0); if( ascii> 64 && ascii < 91){} else { $.notify('Error en captura de Interpretacíon, contiene caracteres NO validos');        $(this).focus();return false;} var valTxtObservaciones = observaciones.replace(/[^\w\s]|_/g, '').replace(/\s+/g, ' '); if(valTxtObservaciones.length <4){ $.notify('Interpretación capturada es demasiado corta'); $(this).focus(); return false;}  jqGetAjaxShort('tiposnotas/apartado/diagnostico_upd', 'searchContainer', {centro_sal: <?php echo $centro_sal; ?>, folio: folio, clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>', tipo_diagnostico: tipo_diagnostico, primera_vez: pVez,confirmado: confirmado, principal: principal, observaciones:  observaciones }, false);">
                           
                          </td>
                          <td style="text-align: center;">
                             <br>
                           
                              <input type="checkbox" name="checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)) ; ?>" id="checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)) ; ?>" value="" <?php if($reg->principal == 1)echo 'checked="checked"'; ?> onchange=" var folio= <?php echo utf8_decode(ltrim(rtrim($folio)));?>; var observaciones = document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').value; var tipo_diagnostico = 1;   var checkPrimeraVez = document.getElementById('checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrimeraVez.checked == true){pVez = 1; } else { pVez = 0;} var checkConfirmado = document.getElementById('checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkConfirmado.checked == true){confirmado = 1; } else { confirmado = 0;} var checkPrincipal = document.getElementById('checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrincipal.checked == true){principal = 1; } else { principal = 0;} let ascii = observaciones.toUpperCase().charCodeAt(0); if( ascii> 64 && ascii < 91){} else { $.notify('Error en captura de Interpretacíon, contiene caracteres NO validos');        $(this).focus();return false;} var valTxtObservaciones = observaciones.replace(/[^\w\s]|_/g, '').replace(/\s+/g, ' '); if(valTxtObservaciones.length <4){ $.notify('Interpretación capturada es demasiado corta'); $(this).focus(); return false;}  jqGetAjaxShort('tiposnotas/apartado/diagnostico_upd', 'searchContainer', {centro_sal: <?php echo $centro_sal; ?>, folio: folio, clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>', tipo_diagnostico: tipo_diagnostico, primera_vez: pVez,confirmado: confirmado, principal: principal, observaciones:  observaciones }, false);">
                           
                          </td>
                          
                          <td style="text-align: center;">
                          <br>
                            <span class="fa fa-times tirar" onclick="jqGetAjaxShort('tiposnotas/apartado/upStatusDiagnostico','tblDiagnosticos', {centro_sal: <?php echo ltrim(rtrim($centro_sal)); ?> , folio: <?php echo ltrim(rtrim($folio)); ?>  ,clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>', tipo_diagnostico: <?php echo ltrim(rtrim($tipo_diagnostico)); ?>  });"></span></td>
                        </tr>
                    <?php
                    }else{
                      ?>
                        <tr>
                          <td></td>
                          <td></td>
                          <td></td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
                      </table>
             <?php        
        return;
    }

    // 
    
    public function getLstContrareferenciaNota(){

        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['Clave_Pac']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $Clave_Pac=$_POST['Clave_Pac'];
        $folio=$_POST['folio'];




        $objContrareferNota = $soapclient->ConsultaExterna_getLstReferenciasAceptadas_al_Clave_Pac($centro_sal, $Clave_Pac, $wsClave);
        $Contrarefer  = new SimpleXMLElement(utf8_encode($objContrareferNota));     

        ?>
         <table style="font-size: 12px; width: 100%; margin:auto;" class="table table-striped table-primary" id="tbl_contrarefer">
            <tr class="table-primary">                          
              <th>Fecha</th>
              <th style="text-align: center;">CS que refirió</th>        
              <th style="text-align: center;">DIAGNÓSTICO DE INGRESO</th>
              <th style="text-align: center; width: 100px;">SELECCIONAR</th>                          
            </tr>
            <tbody>
            <!-- registros -->
            <?php
                foreach($Contrarefer->respuesta as $reg){
                    if( !isset($reg->error) ){
                      ?>

                         <tr > 
                          <td style="width: 250px; font-size: 11px;"><?php echo utf8_decode($reg->fecha_envio); ?></td>
                          <td style="width: 250px; font-size: 11px;"><?php echo utf8_decode($reg->clues_origen_nombre); ?></td>
                          <td style="width: 250px; font-size: 11px;"><?php echo utf8_decode($reg->diagnostico); ?> <?php echo utf8_decode($reg->diagnostico_nombre); ?></td>
                          

                           
                          <td style="text-align: center;" > <input type="checkbox" id="chk_contrareferenciar" name="chk_contrareferenciar" title="[Click] para realizar contra referencia" data-id_Solicitud="<?php echo $reg->id_solicitud; ?>" data-Clues_origen="<?php echo $reg->clues_origen; ?>" data-Folio="<?php echo $folio; ?>" data-centro_sal="<?php echo $reg->centro_sal; ?>"   data-Centro_SalRemoto="<?php echo $reg->centro_sal_origen; ?>" data-id_especialidad ="<?php echo $reg->especialidad_registro;?>" data-clave_Pac ="<?php echo $reg->clave_pac; ?>" data-consec ="<?php echo $reg->consecutivo_consulta_origen; ?>"  onchange=" var id_solicitud = $(this).attr('data-id_solicitud'); var Clues_origen = $(this).attr('data-Clues_origen'); 
                              var folio = $(this).attr('data-folio'); 
                              var centro_sal = $(this).attr('data-centro_sal'); 
                              var Centro_SalRemoto = $(this).attr('data-Centro_SalRemoto');
                              var id_especialidad = $(this).attr('data-id_especialidad');
                              var clave_Pac = $(this).attr('data-clave_Pac');
                              var consec = $(this).attr('data-consec');
                              registrar_contrareferencia(id_solicitud,Clues_origen,folio,centro_sal,Centro_SalRemoto,id_especialidad,clave_Pac,consec); "> &nbsp;
                            </td>
                        </tr>

                   
                    <?php
                    }else{
                      ?>
                         <tr>
                          <td></td>
                          <td></td>
                          <td></td>
                      
                          
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
                      </table>
        <?php        
        return;
    }
}


